// Shenzhen 21EDA Electronics
// Development board model: C-M240


// Use a frequency counter to get a LED flashing effect 

module ledwater (clk_50M, led_out);
  input clk_50M;               // system clock input 50M input pin 12
                               // means every second to change 50,000,000 Hz
  output led_out;              // flash every second
  reg [24: 0] count;           // Divide the counter by 25,000,000 
  reg div_clk;                 // Use the frequency counter to get a flashing effect of one second
  reg led_out;

  // Divide the counter. get a second frequency
  always @ (posedge clk_50M)    
    begin
      if (count == 25000000)
        begin                  // our clock is of 50,000,000 Hz
                               // We now use the count counter 25,000,000 cycles
          div_clk <= ~div_clk; // so that we get a signal with 0.5 s period (2 Hz).
          count <= 0;          // clear the counter.
        end
      else
        count <= count + 1;    // counter from the increase.
      led_out <= div_clk;      // use the frequency counter to show a flash of one second effect
                               // In the LED lights above the show.
    end

endmodule
