

module ledwater (clk_50M,led_out,f_led_out);
  input clk_50M;               // 50MHz-es órajel (pin 12 bemenet)
  output led_out;              // LED2 (pin 57 kimenet)
  output  f_led_out;           // LED1 (pin 58 kimenet)
  reg [24: 0] count;           // 25,000,000-szoros osztó 
  reg [24: 0] f_count;         // 12,500,000-szoros osztó 
  reg  div_clk, f_div_clk;     // A leosztott órajelek
  reg  led_out, f_led_out;     // LED kimenetek


// A count frekvenciaosztót használjuk a D36 LED (pin 57) villogtatásához 
always @ (posedge clk_50M)    
  begin
    if (count == 25000000)
      begin                    // 25,000,000 ciklust számlál
        div_clk <= ~div_clk;   // 0.5 s periodusidő (2 Hz).
        count <= 0;            // számláló törlése
      end
    else
      count <= count + 1;      // számláló léptetése
    led_out <= div_clk;        // másodpercenként felvillan LED2
  end


// Az f_count frekvenciaosztót használjuk a D37 LED (pin 58) villogtatásához 
always @ ( posedge clk_50M )
  begin
    if ( f_count==12500000 )   // 12,5000,000 ciklust számlál
      begin
        f_div_clk<=~f_div_clk; // 0.25 s periodusidő (4 Hz).
        f_count<=0;
      end
    else
      f_count<=f_count+1;      // számláló léptetése
    f_led_out<=f_div_clk;      // félmásodpercenként felvillan LED1
end

endmodule














