﻿// LED chaser 8 db LED felhasználásával
// Az effekteket egy frekvenciaosztó segítségével ütemezzük
module chaser (clk_50M, dataout);

input clk_50M;          // 50MHz rendszeróra bemenet (pin 12)
output [7: 0] dataout;  // a 8 db LED kimenet (pins 51-58) 

reg [7: 0] dataout;
reg [25: 0] count;      // Frekvenciaosztó számláló regisztere

// Frekvenciaosztó számláló léptetése
always @ (posedge clk_50M)
 begin
  count <= count + 1;
 end

always @ (posedge clk_50M) 
	begin
		case (count [25:22])
		// count[25:22] a számláló legfelső 4 bitje,
		// ez az ütemezés kulcsa  T = 2^27 / 50 000 000 s
		// Egyidejűleg csak egy LED világít
		0: dataout <= 8'b11111110; 
		1: dataout <= 8'b11111101; 
		2: dataout <= 8'b11111011;
		3: dataout <= 8'b11110111;
		4: dataout <= 8'b11101111;
		5: dataout <= 8'b11011111;
		6: dataout <= 8'b10111111;
		7: dataout <= 8'b01111111;
		8: dataout <= 8'b01111111;
		9: dataout <= 8'b10111111;
		10: dataout <= 8'b11011111;
		11: dataout <= 8'b11101111;
		12: dataout <= 8'b11110111;
		13: dataout <= 8'b11111011;
		14: dataout <= 8'b11111101;
		15: dataout <= 8'b11111110;	
		endcase
	end
endmodule