module project06(clk_50M,key,segment,digit);
input clk_50M;                       // 50MHz rendszer órajel (Pin 12 bemeneten)
input [3:0] key;                     // K1, K2, K3, K4 nyomógombok állapota
output [3:0] digit;                  // számjegyek vezérlése
output [7:0] segment;                // a DP és a gfedcba szegmensek vezérlése
reg [7:0] segment;
reg [3:0] digit;
reg [3:0] key_temp;                  // átmeneti tároló

always@ (posedge clk_50M)
  begin
    key_temp<=key;                   // a nyomógombok állapotának rögzítése
    case (key_temp)
      4'b1110:segment<=8'b1111_1001; // szegmens kód K1 lenyomáskor 1
      4'b1101:segment<=8'b1010_0100; // szegmens kód K2 lenyomáskor 2
      4'b1011:segment<=8'b1011_0000; // szegmens kód K3 lenyomáskor 3
      4'b0111:segment<=8'b1001_1001; // szegmens kód K4 lenyomáskor 4
    endcase
  end

always@ (posedge clk_50M)
  begin
    case(key_temp) 
      4'b0111:digit<=4'b0111;        // K4 lenyomáskor  a 4. számjegy
      4'b1011:digit<=4'b1011;        // K3 lenyomáskor  a 3. számjegy
      4'b1101:digit<=4'b1101;        // K2 lenyomáskor  a 2. számjegy
      4'b1110:digit<=4'b1110;        // K1 lenyomáskor  a 1. számjegy
    endcase
  end
endmodule