module shifter (clk_50M,din,led_array);
  input clk_50M;               // 50MHz rendszer órajel (Pin 12 bemeneten)
  input din;                   // adatbemenet (K1 gomb, PIN_29)
  output [7:0] led_array;      // LED kimenetek (PIN_51 - PIN_58)
  reg [7:0] led_array;


  reg [24: 0] f_count;         // 25,000,000-szoros osztó 
  reg  div_clk;                // A leosztott órajel
  reg  [7:0] s_reg;            // 8-bites shift regiszter


// Az f_count számlálót használjuk az 1 Hz-es órajel előállításához
always @ (posedge clk_50M)    
  begin
    if (f_count == 25000000)
      begin                    // 25,000,000 ciklust számlál
        div_clk <= ~div_clk;   // 0.5 s időközönként állapotot vált
        f_count <= 0;          // számláló törlése
      end
    else
      f_count <= f_count + 1;  // számláló léptetése
	 led_array <= ~s_reg;       // Kijelezzük s_reg állapotát
  end
  
always @ (posedge div_clk)
  begin
    s_reg[0] <= din; 
	 s_reg[1] <= s_reg[0];
	 s_reg[2] <= s_reg[1];
	 s_reg[3] <= s_reg[2];
	 s_reg[4] <= s_reg[3];
	 s_reg[5] <= s_reg[4];
	 s_reg[6] <= s_reg[5];
	 s_reg[7] <= s_reg[6];
  end
endmodule
